//Erik Hanley
//David Dempsey
//Final project
package com.example.minermonsters;

import android.os.Bundle;
import android.app.Activity;
import android.content.SharedPreferences;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

public class ManageMonsters extends Activity {
	
	public SharedPreferences card1;
	public SharedPreferences card2;
	
	private static final String DEBUG_TAG = "MySimpleAppLogging";
	
	public static final String SLOTONE = "slot one";
	public static final String SLOTTWO = "slot two";
	public static final String NAME = "name";
	public static final String TYPE = "type";
	public static final String HP = "hp";
	public static final String STR = "str";
	public static final String DEF = "def";
	public static final String SPD = "spd";
	public static final String EXP = "exp";
	public static final String LEVEL = "lvl";
	public static final String ELE = "ele";
	public static final String ELEMENT = "element";

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_manage_monsters);
        
        card1 =  getSharedPreferences("com.example.minermonsters.savedstate1", Activity.MODE_PRIVATE);
        card2 =  getSharedPreferences("com.example.minermonsters.savedstate2", Activity.MODE_PRIVATE);
        
        String type, hp, str, def, spd, exp, lvl, ele;
		String imagePath, name, element;
        
		Button card1Btn = (Button) findViewById(R.id.card1s_btn);
        Button card2Btn = (Button) findViewById(R.id.card2s_btn);
        Button backBtn = (Button) findViewById(R.id.deletes_btn);
		
        final ImageView monsterImage = (ImageView) findViewById(R.id.imageView1s);
        final TextView name_text = (TextView) findViewById(R.id.names_text);
        final TextView type_text = (TextView) findViewById(R.id.types_text);
        final TextView hp_text = (TextView) findViewById(R.id.hps_text);
        final TextView lvl_text = (TextView) findViewById(R.id.lvls_text);
        final TextView exp_text = (TextView) findViewById(R.id.exps_text);
        final TextView spd_text = (TextView) findViewById(R.id.spds_text);
        final TextView def_text = (TextView) findViewById(R.id.defs_text);
        final TextView str_text = (TextView) findViewById(R.id.strs_text);
        final TextView element_text = (TextView) findViewById(R.id.elements_text);
        
        monsterImage.setVisibility(8);
        name_text.setVisibility(8);
        type_text.setVisibility(8);
        hp_text.setVisibility(8);
        lvl_text.setVisibility(8);
        exp_text.setVisibility(8);
        spd_text.setVisibility(8);
        def_text.setVisibility(8);
        str_text.setVisibility(8);
        element_text.setVisibility(8);
       
        //deleteBtn.setClickable(false);
   /*     
        if (getIntent().getStringArrayListExtra(SLOTONE).equals("empty")){
        	card1Btn.setClickable(false);
        	card2Btn.setClickable(true);
        	
        	name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(1));
        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(1));
        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(1));
        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(1));
        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(1));
        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(1));
        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(1));
        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(1));
        	
        	
        }
        else if(getIntent().getStringArrayListExtra(SLOTTWO).equals("empty")){
        	card1Btn.setClickable(true);
        	card2Btn.setClickable(false);
        	
        	name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(0));
        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(0));
        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(0));
        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(0));
        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(0));
        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(0));
        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(0));
        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(0));
        	
        }
        else{
        	card1Btn.setClickable(true);
        	card2Btn.setClickable(true);
        	
        	name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(0));
        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(0));
        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(0));
        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(0));
        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(0));
        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(0));
        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(0));
        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(0));
        	
        }
        */
        
        card1Btn.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {
				

				
				name_text.setText("Name: " + card1.getString(NAME, "na"));
	        	type_text.setText("Type: " + card1.getString(TYPE, "0"));
	        	hp_text.setText("HP: " + card1.getString(HP, "0"));
	        	str_text.setText("Strenth: " + card1.getString(STR, "0"));
	        	exp_text.setText("Exp: " + card1.getString(EXP, "0"));
	        	def_text.setText("Defense: " + card1.getString(DEF, "0"));
	        	lvl_text.setText("Level: " + card1.getString(LEVEL, "0"));
	        	spd_text.setText("Speed: " + card1.getString(SPD, "0"));
	        	element_text.setText("Element: " + card1.getString(ELEMENT, "na"));
	        	
	            monsterImage.setVisibility(0);
	            name_text.setVisibility(0);
	            type_text.setVisibility(0);
	            hp_text.setVisibility(0);
	            lvl_text.setVisibility(0);
	            exp_text.setVisibility(0);
	            spd_text.setVisibility(0);
	            def_text.setVisibility(0);
	            str_text.setVisibility(0);
	            element_text.setVisibility(0);
	        	
	        	
	        	switch(Integer.valueOf( card1.getString(TYPE, "0")))
	    		{
	    		case 1:
	    			monsterImage.setImageResource(R.drawable.firestr);
	    			break;
	    		case 2:
	    			monsterImage.setImageResource(R.drawable.firedef);
	    			break;
	    		case 3:
	    			monsterImage.setImageResource(R.drawable.firespd);
	    			break;
	    		case 4:
	    			monsterImage.setImageResource(R.drawable.icestr);
	    			break;
	    		case 5:
	    			monsterImage.setImageResource(R.drawable.icedef);
	    			break;
	    		case 6:
	    			monsterImage.setImageResource(R.drawable.icespd);
	    			break;
	    		case 7:
	    			monsterImage.setImageResource(R.drawable.elecstr);
	    			break;
	    		case 8:
	    			monsterImage.setImageResource(R.drawable.elecdef);
	    			break;
	    		case 9:
	    			monsterImage.setImageResource(R.drawable.elecspd);
	    			break;
	    		}
/*				
				name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(0));
	        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(0));
	        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(0));
	        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(0));
	        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(0));
	        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(0));
	        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(0));
	        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(0));
*/
			}
        });
        
        card2Btn.setOnClickListener(new View.OnClickListener() {
			@Override
			public void onClick(View v) {

				name_text.setText("Name: " + card2.getString(NAME, "na"));
	        	type_text.setText("Type: " + card2.getString(TYPE, "na"));
	        	hp_text.setText("HP: " + card2.getString(HP, "na"));
	        	str_text.setText("Strenth: " + card2.getString(STR, "na"));
	        	exp_text.setText("Exp: " + card2.getString(EXP, "na"));
	        	def_text.setText("Defense: " + card2.getString(DEF, "na"));
	        	lvl_text.setText("Level: " + card2.getString(LEVEL, "na"));
	        	spd_text.setText("Speed: " + card2.getString(SPD, "na"));
	        	element_text.setText("Element: " + card2.getString(ELEMENT, "na"));
	        	
	            monsterImage.setVisibility(0);
	            name_text.setVisibility(0);
	            type_text.setVisibility(0);
	            hp_text.setVisibility(0);
	            lvl_text.setVisibility(0);
	            exp_text.setVisibility(0);
	            spd_text.setVisibility(0);
	            def_text.setVisibility(0);
	            str_text.setVisibility(0);
	            element_text.setVisibility(0);
	        	
	        	switch(Integer.valueOf( card2.getString(TYPE, "0")))
	    		{
	    		case 1:
	    			monsterImage.setImageResource(R.drawable.firestr);
	    			break;
	    		case 2:
	    			monsterImage.setImageResource(R.drawable.firedef);
	    			break;
	    		case 3:
	    			monsterImage.setImageResource(R.drawable.firespd);
	    			break;
	    		case 4:
	    			monsterImage.setImageResource(R.drawable.icestr);
	    			break;
	    		case 5:
	    			monsterImage.setImageResource(R.drawable.icedef);
	    			break;
	    		case 6:
	    			monsterImage.setImageResource(R.drawable.icespd);
	    			break;
	    		case 7:
	    			monsterImage.setImageResource(R.drawable.elecstr);
	    			break;
	    		case 8:
	    			monsterImage.setImageResource(R.drawable.elecdef);
	    			break;
	    		case 9:
	    			monsterImage.setImageResource(R.drawable.elecspd);
	    			break;
	    		}
	
/*				
  				name_text.setText("Name: " + getIntent().getStringArrayListExtra(NAME).get(1));
	        	type_text.setText("Type: " + getIntent().getStringArrayListExtra(TYPE).get(1));
	        	hp_text.setText("HP: " + getIntent().getStringArrayListExtra(HP).get(1));
	        	str_text.setText("Strenth: " + getIntent().getStringArrayListExtra(STR).get(1));
	        	exp_text.setText("Exp: " + getIntent().getStringArrayListExtra(EXP).get(1));
	        	def_text.setText("Defense: " + getIntent().getStringArrayListExtra(DEF).get(1));
	        	lvl_text.setText("Level: " + getIntent().getStringArrayListExtra(LEVEL).get(1));
	        	spd_text.setText("Speed: " + getIntent().getStringArrayListExtra(SPD).get(1));
*/
			}
        });
        
        backBtn.setOnClickListener(new View.OnClickListener() {
			
			@Override
			public void onClick(View v) {
				// TODO Auto-generated method stub
				finish();
			}
		});
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_manage_monsters, menu);
        return true;
    }
}
